%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Module-CoreList
Version:        1.98
Release:        0.fdr.2.rh90
Epoch:          0
Summary:        Perl core modules indexed by perl versions

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Module-CoreList/
Source0: http://www.cpan.org/authors/id/R/RC/RCLAMP/Module-CoreList-1.98.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Module::Build), perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Module::CoreList contains the hash of hashes %Module::CoreList::version,
this is keyed on perl version as indicated in $].  The second level hash
is module => version pairs.


%prep
%setup -q -n Module-CoreList-%{version}
%{__perl} -pi -e 's{^#!/usr/local/perl5.6.1/bin/perl\b}{#!%{__perl}}' identify-dependencies


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README identify-dependencies
%{_bindir}/*
%{perl_vendorlib}/Module/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Tue Jan 04 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.98-0.fdr.2
- BuildRequires: perl(Module::Build) (#2362).

* Mon Jan 03 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.98-0.fdr.1
- Update to 1.98.

* Thu Dec 23 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.97-0.fdr.1
- First build.
